<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.6) on Wed Jan 22 16:23:34 CET 2020 -->
<title>Constant Field Values</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-22">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<section role="region">
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#control">control.*</a></li>
<li><a href="#launcher">launcher.*</a></li>
<li><a href="#model.characters">model.characters.*</a></li>
<li><a href="#model.level">model.level.*</a></li>
<li><a href="#model.weapons">model.weapons.*</a></li>
</ul>
</section>
</div>
<div class="constantValuesContainer"><a id="control">
<!--   -->
</a>
<section role="region">
<h2 title="control">control.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>control.<a href="control/LevelControl.html" title="class in control">LevelControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="control.LevelControl.BACKGROUND_IMAGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="control/LevelControl.html#BACKGROUND_IMAGE">BACKGROUND_IMAGE</a></code></th>
<td class="colLast"><code>"/Image/backgroundtest.png"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="control.LevelControl.H_RATIO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="control/LevelControl.html#H_RATIO">H_RATIO</a></code></th>
<td class="colLast"><code>0.166666</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="control.LevelControl.H_RATIO_BLOCK">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="control/LevelControl.html#H_RATIO_BLOCK">H_RATIO_BLOCK</a></code></th>
<td class="colLast"><code>0.086875</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="control.LevelControl.L_RATIO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="control/LevelControl.html#L_RATIO">L_RATIO</a></code></th>
<td class="colLast"><code>0.046875</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="control.LevelControl.L_RATIO_BLOCK">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="control/LevelControl.html#L_RATIO_BLOCK">L_RATIO_BLOCK</a></code></th>
<td class="colLast"><code>0.046875</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</section>
<a id="launcher">
<!--   -->
</a>
<section role="region">
<h2 title="launcher">launcher.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>launcher.<a href="launcher/Game.html" title="class in launcher">Game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="launcher.Game.G">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Game.html#G">G</a></code></th>
<td class="colLast"><code>1.9E-4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="launcher.Game.H_RATIO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Game.html#H_RATIO">H_RATIO</a></code></th>
<td class="colLast"><code>0.166666</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="launcher.Game.JUMPSPEED">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Game.html#JUMPSPEED">JUMPSPEED</a></code></th>
<td class="colLast"><code>0.012</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="launcher.Game.L_RATIO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Game.html#L_RATIO">L_RATIO</a></code></th>
<td class="colLast"><code>0.046875</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="launcher.Game.SKIN_ENEMY">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Game.html#SKIN_ENEMY">SKIN_ENEMY</a></code></th>
<td class="colLast"><code>"/texture/skin/character/enemyTest.jpg"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="launcher.Game.START_X">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Game.html#START_X">START_X</a></code></th>
<td class="colLast"><code>0.1</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary">
<caption><span>launcher.<a href="launcher/Main.html" title="class in launcher">Main</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="launcher.Main.GAME_TITLE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="launcher/Main.html#GAME_TITLE">GAME_TITLE</a></code></th>
<td class="colLast"><code>"BroForce"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</section>
<a id="model.characters">
<!--   -->
</a>
<section role="region">
<h2 title="model.characters">model.characters.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>model.characters.<a href="model/characters/CharacterManager.html" title="class in model.characters">CharacterManager</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="model.characters.CharacterManager.SKIN_BALLE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterManager.html#SKIN_BALLE">SKIN_BALLE</a></code></th>
<td class="colLast"><code>"/texture/skin/balle.png"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.characters.CharacterManager.SKIN_CHARACTER_RAMBRO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterManager.html#SKIN_CHARACTER_RAMBRO">SKIN_CHARACTER_RAMBRO</a></code></th>
<td class="colLast"><code>"/texture/skin/character/rambro.png"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="model.characters.CharacterManager.SKIN_CHARACTER_TEST">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterManager.html#SKIN_CHARACTER_TEST">SKIN_CHARACTER_TEST</a></code></th>
<td class="colLast"><code>"/texture/skin/character/characterTest.jpg"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary">
<caption><span>model.characters.<a href="model/characters/CharacterMover.html" title="class in model.characters">CharacterMover</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="model.characters.CharacterMover.L_WALL">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterMover.html#L_WALL">L_WALL</a></code></th>
<td class="colLast"><code>9.0E-4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.characters.CharacterMover.LEFT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterMover.html#LEFT">LEFT</a></code></th>
<td class="colLast"><code>"left"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="model.characters.CharacterMover.R_WALL">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterMover.html#R_WALL">R_WALL</a></code></th>
<td class="colLast"><code>0.953</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.characters.CharacterMover.RIGHT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterMover.html#RIGHT">RIGHT</a></code></th>
<td class="colLast"><code>"right"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="model.characters.CharacterMover.V_WALK">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/characters/CharacterMover.html#V_WALK">V_WALK</a></code></th>
<td class="colLast"><code>0.002</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</section>
<a id="model.level">
<!--   -->
</a>
<section role="region">
<h2 title="model.level">model.level.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>model.level.<a href="model/level/BlockManager.html" title="class in model.level">BlockManager</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="model.level.BlockManager.H_RATIO_BLOCK">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/level/BlockManager.html#H_RATIO_BLOCK">H_RATIO_BLOCK</a></code></th>
<td class="colLast"><code>0.086875</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.level.BlockManager.L_RATIO_BLOCK">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/level/BlockManager.html#L_RATIO_BLOCK">L_RATIO_BLOCK</a></code></th>
<td class="colLast"><code>0.046875</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="model.level.BlockManager.TEXTURE_DIRT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="model/level/BlockManager.html#TEXTURE_DIRT">TEXTURE_DIRT</a></code></th>
<td class="colLast"><code>"/texture/bloc/dirt.jpg"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</section>
<a id="model.weapons">
<!--   -->
</a>
<section role="region">
<h2 title="model.weapons">model.weapons.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>model.weapons.<a href="model/weapons/WeaponShoot.html" title="class in model.weapons">WeaponShoot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="model.weapons.WeaponShoot.ATTACK_RANGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/weapons/WeaponShoot.html#ATTACK_RANGE">ATTACK_RANGE</a></code></th>
<td class="colLast"><code>0.015</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.weapons.WeaponShoot.H_RATIO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/weapons/WeaponShoot.html#H_RATIO">H_RATIO</a></code></th>
<td class="colLast"><code>0.166666</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="model.weapons.WeaponShoot.L_RATIO">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/weapons/WeaponShoot.html#L_RATIO">L_RATIO</a></code></th>
<td class="colLast"><code>0.046875</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.weapons.WeaponShoot.LEFT_RANGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/weapons/WeaponShoot.html#LEFT_RANGE">LEFT_RANGE</a></code></th>
<td class="colLast"><code>0.0</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="model.weapons.WeaponShoot.RIGHT_RANGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/weapons/WeaponShoot.html#RIGHT_RANGE">RIGHT_RANGE</a></code></th>
<td class="colLast"><code>1.0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="model.weapons.WeaponShoot.SHOOT_SPEED">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;double</code></td>
<th class="colSecond" scope="row"><code><a href="model/weapons/WeaponShoot.html#SHOOT_SPEED">SHOOT_SPEED</a></code></th>
<td class="colLast"><code>0.01</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
